"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_shared_1 = require("@dgui/react-shared");
const react_1 = require("react");
const react_router_1 = require("react-router");
const BackControl = ({ tabId }) => {
    const { tabId: routeId } = (0, react_router_1.useParams)();
    const selectedTabID = (0, react_shared_1.useSelectedTabID)();
    const tabOrder = (0, react_shared_1.useTabOrder)();
    const selectTab = (0, react_shared_1.useSelectTab)();
    (0, react_1.useEffect)(() => {
        if (routeId &&
            selectedTabID &&
            tabId === selectedTabID &&
            tabId !== routeId) {
            const currentTabIndex = tabOrder.indexOf(tabId);
            const routeTabIndex = tabOrder.indexOf(routeId);
            if (routeTabIndex === -1) {
            }
            else if (currentTabIndex !== routeTabIndex) {
                selectTab(routeTabIndex);
            }
        }
    }, [
        routeId
    ]);
    return null;
};
exports.default = (0, react_1.memo)(BackControl);
//# sourceMappingURL=BackControl.js.map